Subject: bug#16689: 24.3.50; Interactivity and nadvice

From: Michael Heerdegen <[email-masked]>
Date: Fri, 14 Feb 2014 11:20:56 +0100

Nathan Trapuzzano <[email-masked]> writes:

> I'm talking about the interface.  I believe the manual's old section on
> defadvice talked about how to change a command's interactive behavior.
> The nadvice section doesn't talk about any of that.

I do think so, too.  What the docstring says:

If one of FUNCTION or OLDFUN is interactive, then the resulting function
is also interactive.  There are 3 cases:
- FUNCTION is not interactive: the interactive spec of OLDFUN is used.
- The interactive spec of FUNCTION is itself a function: it should take one
  argument (the interactive spec of OLDFUN, which it can pass to
  `advice-eval-interactive-spec') and return the list of arguments to use.
- Else, use the interactive spec of FUNCTION and ignore the one of OLDFUN.

is already an exhaustive explanation, it could IMHO be used more or less
as is in the manual.

Michael.